Loading...
Searching...
No Matches
XrdCryptosslFactory Class Reference

`#include <XrdCryptosslFactory.hh>`

Inheritance diagram for XrdCryptosslFactory:
Collaboration diagram for XrdCryptosslFactory:

## Public Member Functions

| XrdCryptosslFactory ()
virtual | ~XrdCryptosslFactory ()
XrdCryptoCipher * | Cipher (bool padded, int bits, char *pub, int lpub, const char *t=0)
XrdCryptoCipher * | Cipher (const char *t, int l, const char *k, int liv, const char *iv)
XrdCryptoCipher * | Cipher (const char *t, int l=0)
XrdCryptoCipher * | Cipher (const XrdCryptoCipher &c)
XrdCryptoCipher * | Cipher (int bits, char *pub, int lpub, const char *t=0)
XrdCryptoCipher * | Cipher (XrdSutBucket *b)
bool | HasPaddingSupport ()
XrdCryptoKDFun_t | KDFun ()
XrdCryptoKDFunLen_t | KDFunLen ()
XrdCryptoMsgDigest * | MsgDigest (const char *dgst)
XrdCryptoProxyCertInfo_t | ProxyCertInfo ()
XrdCryptoRSA * | RSA (const char *pub, int lpub=0)
XrdCryptoRSA * | RSA (const XrdCryptoRSA &r)
XrdCryptoRSA * | RSA (int bits=XrdCryptoDefRSABits, int exp=XrdCryptoDefRSAExp)
XrdCryptoSetPathLenConstraint_t | SetPathLenConstraint ()
void | SetTrace (kXR_int32 trace)
bool | SupportedCipher (const char *t)
bool | SupportedMsgDigest (const char *dgst)
XrdCryptoX509 * | X509 (const char *cf, const char *kf=0)
XrdCryptoX509 * | X509 (XrdSutBucket *b)
XrdCryptoX509ChainToFile_t | X509ChainToFile ()
XrdCryptoX509CheckProxy3_t | X509CheckProxy3 ()
XrdCryptoX509CreateProxy_t | X509CreateProxy ()
XrdCryptoX509CreateProxyReq_t | X509CreateProxyReq ()
XrdCryptoX509Crl * | X509Crl (const char *crlfile, int opt=0)
XrdCryptoX509Crl * | X509Crl (XrdCryptoX509 *cacert)
XrdCryptoX509ExportChain_t | X509ExportChain ()
XrdCryptoX509GetVOMSAttr_t | X509GetVOMSAttr ()
XrdCryptoX509ParseBucket_t | X509ParseBucket ()
XrdCryptoX509ParseFile_t | X509ParseFile ()
XrdCryptoX509ParseStack_t | X509ParseStack ()
XrdCryptoX509Req * | X509Req (XrdSutBucket *bck)
XrdCryptoX509SignProxyReq_t | X509SignProxyReq ()
XrdCryptoX509VerifyCert_t | X509VerifyCert ()
XrdCryptoX509VerifyChain_t | X509VerifyChain ()
Public Member Functions inherited from XrdCryptoFactory
| XrdCryptoFactory (const char *n="Unknown", int id=-1)
virtual | ~XrdCryptoFactory ()
int | ID () const
char * | Name () const
virtual void | Notify ()
bool | operator== (const XrdCryptoFactory factory)

## Additional Inherited Members

Static Public Member Functions inherited from XrdCryptoFactory
static XrdCryptoFactory * | GetCryptoFactory (const char *factoryname)

## Detailed Description

Definition at line 48 of file XrdCryptosslFactory.hh.

## Constructor & Destructor Documentation

## XrdCryptosslFactory()

XrdCryptosslFactory::XrdCryptosslFactory | ( |  | ) |

Definition at line 63 of file XrdCryptosslFactory.cc.

:
XrdCryptoFactory("ssl",XrdCryptosslFactoryID)
{
// Constructor: init the needed components of the OpenSSL library
// Init SSL ...
//
static const char *eText = XrdTlsContext::Init();
// Make sure all went well (we need to possibly abort here)
//
if (eText)
{std::cerr <<"XrdCryptosslFactory: " <<eText <<std::endl;
abort();
}
// Init Random machinery
//
int klen = 32;
char *ktmp = XrdSutRndm::GetBuffer(klen);
if (ktmp) {
// Feed the random engine
RAND_seed(ktmp,klen);
delete[] ktmp;
}
}
XrdCryptosslFactoryID
#define XrdCryptosslFactoryID
Definition XrdCryptosslFactory.hh:46
XrdCryptoFactory::XrdCryptoFactory
XrdCryptoFactory(const char *n="Unknown", int id=-1)
Definition XrdCryptoFactory.cc:55
XrdSutRndm::GetBuffer
static char * GetBuffer(int len, int opt=-1)
Definition XrdSutRndm.cc:179
XrdTlsContext::Init
static const char * Init()
Definition XrdTlsContext.cc:862

References XrdCryptoFactory::XrdCryptoFactory(), XrdSutRndm::GetBuffer(), XrdTlsContext::Init(), and XrdCryptosslFactoryID.

Here is the call graph for this function:

## ~XrdCryptosslFactory()

virtual XrdCryptosslFactory::~XrdCryptosslFactory | ( |  | ) |

inline virtual

Definition at line 52 of file XrdCryptosslFactory.hh.

{ }

## Member Function Documentation

## Cipher() [1/6]

XrdCryptoCipher * XrdCryptosslFactory::Cipher | ( | bool | padded,
|  | int | bits,
|  | char * | pub,
|  | int | lpub,
|  | const char * | t = 0 )

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 198 of file XrdCryptosslFactory.cc.

{
// Return an instance of a Ssl implementation of XrdCryptoCipher.
XrdCryptoCipher *cip = new XrdCryptosslCipher(padded, b,p,l,t);
if (cip) {
if (cip->IsValid())
return cip;
else
delete cip;
}
return (XrdCryptoCipher *)0;
}
XrdCryptoCipher::IsValid
virtual bool IsValid()
Definition XrdCryptoCipher.cc:51

References XrdCryptoCipher::IsValid().

Here is the call graph for this function:

## Cipher() [2/6]

XrdCryptoCipher * XrdCryptosslFactory::Cipher | ( | const char * | t,
|  | int | l,
|  | const char * | k,
|  | int | liv,
|  | const char * | iv )

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 166 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoCipher.
XrdCryptoCipher *cip = new XrdCryptosslCipher(t,l,k,liv,iv);
if (cip) {
if (cip->IsValid())
return cip;
else
delete cip;
}
return (XrdCryptoCipher *)0;
}

References XrdCryptoCipher::IsValid().

Here is the call graph for this function:

## Cipher() [3/6]

XrdCryptoCipher * XrdCryptosslFactory::Cipher | ( | const char * | t,
|  | int | l = 0 )

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 151 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoCipher.
XrdCryptoCipher *cip = new XrdCryptosslCipher(t,l);
if (cip) {
if (cip->IsValid())
return cip;
else
delete cip;
}
return (XrdCryptoCipher *)0;
}

References XrdCryptoCipher::IsValid().

Here is the call graph for this function:

## Cipher() [4/6]

XrdCryptoCipher * XrdCryptosslFactory::Cipher | ( | const XrdCryptoCipher & | c | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 230 of file XrdCryptosslFactory.cc.

{
// Return an instance of a Ssl implementation of XrdCryptoCipher.
XrdCryptoCipher *cip = new XrdCryptosslCipher(*((XrdCryptosslCipher *)&c));
if (cip) {
if (cip->IsValid())
return cip;
else
delete cip;
}
return (XrdCryptoCipher *)0;
}

References XrdCryptoCipher::IsValid().

Here is the call graph for this function:

## Cipher() [5/6]

XrdCryptoCipher * XrdCryptosslFactory::Cipher | ( | int | bits,
|  | char * | pub,
|  | int | lpub,
|  | const char * | t = 0 )

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 214 of file XrdCryptosslFactory.cc.

{
// Return an instance of a Ssl implementation of XrdCryptoCipher.
XrdCryptoCipher *cip = new XrdCryptosslCipher(false,b,p,l,t);
if (cip) {
if (cip->IsValid())
return cip;
else
delete cip;
}
return (XrdCryptoCipher *)0;
}

References XrdCryptoCipher::IsValid().

Here is the call graph for this function:

## Cipher() [6/6]

XrdCryptoCipher * XrdCryptosslFactory::Cipher | ( | XrdSutBucket * | b | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 183 of file XrdCryptosslFactory.cc.

{
// Return an instance of a Local implementation of XrdCryptoCipher.
XrdCryptoCipher *cip = new XrdCryptosslCipher(b);
if (cip) {
if (cip->IsValid())
return cip;
else
delete cip;
}
return (XrdCryptoCipher *)0;
}

References XrdCryptoCipher::IsValid().

Here is the call graph for this function:

## HasPaddingSupport()

bool XrdCryptosslFactory::HasPaddingSupport | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 140 of file XrdCryptosslFactory.cc.

{
// Returns true if cipher padding is supported
#if defined(HAVE_DH_PADDED) || defined(HAVE_DH_PADDED_FUNC)
return true;
#else
return false;
#endif
}

## KDFun()

XrdCryptoKDFun_t XrdCryptosslFactory::KDFun | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 124 of file XrdCryptosslFactory.cc.

{
// Return an instance of an implementation of the PBKDF2 function.
return &XrdCryptosslKDFun;
}
XrdCryptosslKDFun
int XrdCryptosslKDFun(const char *pass, int plen, const char *salt, int slen, char *key, int klen)
Definition XrdCryptosslAux.cc:78

References XrdCryptosslKDFun().

Here is the call graph for this function:

## KDFunLen()

XrdCryptoKDFunLen_t XrdCryptosslFactory::KDFunLen | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 116 of file XrdCryptosslFactory.cc.

{
// Return an instance of an implementation of the PBKDF2 fun length.
return &XrdCryptosslKDFunLen;
}
XrdCryptosslKDFunLen
int XrdCryptosslKDFunLen()
Definition XrdCryptosslAux.cc:71

References XrdCryptosslKDFunLen().

Here is the call graph for this function:

## MsgDigest()

XrdCryptoMsgDigest * XrdCryptosslFactory::MsgDigest | ( | const char * | dgst | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 253 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoMsgDigest.
XrdCryptoMsgDigest *md = new XrdCryptosslMsgDigest(dgst);
if (md) {
if (md->IsValid())
return md;
else
delete md;
}
return (XrdCryptoMsgDigest *)0;
}
XrdCryptoMsgDigest::IsValid
virtual bool IsValid()
Definition XrdCryptoMsgDigest.cc:43

References XrdCryptoMsgDigest::IsValid().

Here is the call graph for this function:

## ProxyCertInfo()

XrdCryptoProxyCertInfo_t XrdCryptosslFactory::ProxyCertInfo | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 451 of file XrdCryptosslFactory.cc.

{
// Check if the proxyCertInfo extension exists
return &XrdCryptosslProxyCertInfo;
}
XrdCryptosslProxyCertInfo
bool XrdCryptosslProxyCertInfo(const void *ext, int &pathlen, bool *haspolicy=0)

References XrdCryptosslProxyCertInfo().

Here is the call graph for this function:

## RSA() [1/3]

XrdCryptoRSA * XrdCryptosslFactory::RSA | ( | const char * | pub,
|  | int | lpub = 0 )

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 283 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoRSA.
XrdCryptoRSA *rsa = new XrdCryptosslRSA(pub,lpub);
if (rsa) {
if (rsa->IsValid())
return rsa;
else
delete rsa;
}
return (XrdCryptoRSA *)0;
}
XrdCryptoRSA::IsValid
bool IsValid()
Definition XrdCryptoRSA.hh:69

References XrdCryptoRSA::IsValid().

Here is the call graph for this function:

## RSA() [2/3]

XrdCryptoRSA * XrdCryptosslFactory::RSA | ( | const XrdCryptoRSA & | r | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 298 of file XrdCryptosslFactory.cc.

{
// Return an instance of a Ssl implementation of XrdCryptoRSA.
XrdCryptoRSA *rsa = new XrdCryptosslRSA(*((XrdCryptosslRSA *)&r));
if (rsa) {
if (rsa->IsValid())
return rsa;
else
delete rsa;
}
return (XrdCryptoRSA *)0;
}

References XrdCryptoRSA::IsValid().

Here is the call graph for this function:

## RSA() [3/3]

XrdCryptoRSA * XrdCryptosslFactory::RSA | ( | int | bits = XrdCryptoDefRSABits,
|  | int | exp = XrdCryptoDefRSAExp )

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 268 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoRSA.
XrdCryptoRSA *rsa = new XrdCryptosslRSA(bits,exp);
if (rsa) {
if (rsa->IsValid())
return rsa;
else
delete rsa;
}
return (XrdCryptoRSA *)0;
}

References XrdCryptoRSA::IsValid().

Here is the call graph for this function:

## SetPathLenConstraint()

XrdCryptoSetPathLenConstraint_t XrdCryptosslFactory::SetPathLenConstraint | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 459 of file XrdCryptosslFactory.cc.

{
// Set the path length constraint
return &XrdCryptosslSetPathLenConstraint;
}
XrdCryptosslSetPathLenConstraint
void XrdCryptosslSetPathLenConstraint(void *ext, int pathlen)

References XrdCryptosslSetPathLenConstraint().

Here is the call graph for this function:

## SetTrace()

void XrdCryptosslFactory::SetTrace | ( | kXR_int32 | trace | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 91 of file XrdCryptosslFactory.cc.

{
// Set trace flags according to 'trace'
//
// Initiate error logging and tracing
eDest.logger(&Logger);
if (!sslTrace)
sslTrace = new XrdOucTrace(&eDest);
if (sslTrace) {
// Set debug mask
sslTrace->What = 0;
// Low level only
if ((trace & sslTRACE_Notify))
sslTrace->What |= sslTRACE_Notify;
// Medium level
if ((trace & sslTRACE_Debug))
sslTrace->What |= (sslTRACE_Notify | sslTRACE_Debug);
// High level
if ((trace & sslTRACE_Dump))
sslTrace->What |= sslTRACE_ALL;
}
}
Logger
static XrdSysLogger Logger
Definition XrdCryptoAux.cc:37
eDest
static XrdSysError eDest(0,"crypto_")
sslTrace
XrdOucTrace * sslTrace
Definition XrdCryptosslAux.cc:50
sslTRACE_ALL
#define sslTRACE_ALL
Definition XrdCryptosslAux.hh:103
sslTRACE_Dump
#define sslTRACE_Dump
Definition XrdCryptosslAux.hh:104
sslTRACE_Debug
#define sslTRACE_Debug
Definition XrdCryptosslAux.hh:105
sslTRACE_Notify
#define sslTRACE_Notify
Definition XrdCryptosslAux.hh:106
XrdOucTrace::What
int What
Definition XrdOucTrace.hh:46
XrdSysError::logger
XrdSysLogger * logger(XrdSysLogger *lp=0)
Definition XrdSysError.hh:141

References eDest, Logger, sslTrace, sslTRACE_ALL, sslTRACE_Debug, sslTRACE_Dump, and sslTRACE_Notify.

## SupportedCipher()

bool XrdCryptosslFactory::SupportedCipher | ( | const char * | t | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 132 of file XrdCryptosslFactory.cc.

{
// Returns true if specified cipher is supported
return XrdCryptosslCipher::IsSupported(t);
}
XrdCryptosslCipher::IsSupported
static bool IsSupported(const char *cip)
Definition XrdCryptosslCipher.cc:215

References XrdCryptosslCipher::IsSupported().

Here is the call graph for this function:

## SupportedMsgDigest()

bool XrdCryptosslFactory::SupportedMsgDigest | ( | const char * | dgst | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 245 of file XrdCryptosslFactory.cc.

{
// Returns true if specified digest is supported
return XrdCryptosslMsgDigest::IsSupported(dgst);
}
XrdCryptosslMsgDigest::IsSupported
static bool IsSupported(const char *dgst)
Definition XrdCryptosslMsgDigest.cc:63

References XrdCryptosslMsgDigest::IsSupported().

Here is the call graph for this function:

## X509() [1/2]

XrdCryptoX509 * XrdCryptosslFactory::X509 | ( | const char * | cf,
|  | const char * | kf = 0 )

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 313 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoX509.
XrdCryptoX509 *x509 = new XrdCryptosslX509(cf, kf);
if (x509) {
if (x509->Opaque())
return x509;
else
delete x509;
}
return (XrdCryptoX509 *)0;
}
XrdCryptoX509::Opaque
virtual XrdCryptoX509data Opaque()
Definition XrdCryptoX509.cc:181

References XrdCryptoX509::Opaque().

Here is the call graph for this function:

## X509() [2/2]

XrdCryptoX509 * XrdCryptosslFactory::X509 | ( | XrdSutBucket * | b | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 328 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoX509.
XrdCryptoX509 *x509 = new XrdCryptosslX509(b);
if (x509) {
if (x509->Opaque())
return x509;
else
delete x509;
}
return (XrdCryptoX509 *)0;
}

References XrdCryptoX509::Opaque().

Here is the call graph for this function:

## X509ChainToFile()

XrdCryptoX509ChainToFile_t XrdCryptosslFactory::X509ChainToFile | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 415 of file XrdCryptosslFactory.cc.

{
// Return an instance of an implementation of a function
// to dump a X509 certificate chain to a file.
return &XrdCryptosslX509ChainToFile;
}
XrdCryptosslX509ChainToFile
int XrdCryptosslX509ChainToFile(XrdCryptoX509Chain *ch, const char *fn)
Definition XrdCryptosslAux.cc:311

References XrdCryptosslX509ChainToFile().

Here is the call graph for this function:

## X509CheckProxy3()

XrdCryptoX509CheckProxy3_t XrdCryptosslFactory::X509CheckProxy3 | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 491 of file XrdCryptosslFactory.cc.

{
// Check consistency of a GSI 3 compliant proxy
return &XrdCryptosslX509CheckProxy3;
}
XrdCryptosslX509CheckProxy3
int XrdCryptosslX509CheckProxy3(XrdCryptoX509 *, XrdOucString &)

References XrdCryptosslX509CheckProxy3().

Here is the call graph for this function:

## X509CreateProxy()

XrdCryptoX509CreateProxy_t XrdCryptosslFactory::X509CreateProxy | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 467 of file XrdCryptosslFactory.cc.

{
// Create a proxy certificate
return &XrdCryptosslX509CreateProxy;
}
XrdCryptosslX509CreateProxy
int XrdCryptosslX509CreateProxy(const char *, const char *, XrdProxyOpt_t *, XrdCryptogsiX509Chain *, XrdCryptoRSA **, const char *)

References XrdCryptosslX509CreateProxy().

Here is the call graph for this function:

## X509CreateProxyReq()

XrdCryptoX509CreateProxyReq_t XrdCryptosslFactory::X509CreateProxyReq | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 475 of file XrdCryptosslFactory.cc.

{
// Create a proxy request
return &XrdCryptosslX509CreateProxyReq;
}
XrdCryptosslX509CreateProxyReq
int XrdCryptosslX509CreateProxyReq(XrdCryptoX509 *, XrdCryptoX509Req **, XrdCryptoRSA **)

References XrdCryptosslX509CreateProxyReq().

Here is the call graph for this function:

## X509Crl() [1/2]

XrdCryptoX509Crl * XrdCryptosslFactory::X509Crl | ( | const char * | crlfile,
|  | int | opt = 0 )

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 343 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoX509Crl.
XrdCryptoX509Crl *x509Crl = new XrdCryptosslX509Crl(cf, opt);
if (x509Crl) {
if (x509Crl->Opaque())
return x509Crl;
else
delete x509Crl;
}
return (XrdCryptoX509Crl *)0;
}
XrdCryptoX509Crl::Opaque
virtual XrdCryptoX509Crldata Opaque()
Definition XrdCryptoX509Crl.cc:105

References XrdCryptoX509Crl::Opaque().

Here is the call graph for this function:

## X509Crl() [2/2]

XrdCryptoX509Crl * XrdCryptosslFactory::X509Crl | ( | XrdCryptoX509 * | cacert | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 358 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoX509Crl.
XrdCryptoX509Crl *x509Crl = new XrdCryptosslX509Crl(ca);
if (x509Crl) {
if (x509Crl->Opaque())
return x509Crl;
else
delete x509Crl;
}
return (XrdCryptoX509Crl *)0;
}

References XrdCryptoX509Crl::Opaque().

Here is the call graph for this function:

## X509ExportChain()

XrdCryptoX509ExportChain_t XrdCryptosslFactory::X509ExportChain | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 406 of file XrdCryptosslFactory.cc.

{
// Return an instance of an implementation of a function
// to export a X509 certificate chain.
return &XrdCryptosslX509ExportChain;
}
XrdCryptosslX509ExportChain
XrdSutBucket * XrdCryptosslX509ExportChain(XrdCryptoX509Chain *chain, bool withprivatekey)
Definition XrdCryptosslAux.cc:198

References XrdCryptosslX509ExportChain().

Here is the call graph for this function:

## X509GetVOMSAttr()

XrdCryptoX509GetVOMSAttr_t XrdCryptosslFactory::X509GetVOMSAttr | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 499 of file XrdCryptosslFactory.cc.

{
// Get VOMS attributes, if any
return &XrdCryptosslX509GetVOMSAttr;
}
XrdCryptosslX509GetVOMSAttr
int XrdCryptosslX509GetVOMSAttr(XrdCryptoX509 *, XrdOucString &)

References XrdCryptosslX509GetVOMSAttr().

Here is the call graph for this function:

## X509ParseBucket()

XrdCryptoX509ParseBucket_t XrdCryptosslFactory::X509ParseBucket | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 442 of file XrdCryptosslFactory.cc.

{
// Return an instance of an implementation of a function
// to parse a file supposed to contain for X509 certificates.
return &XrdCryptosslX509ParseBucket;
}
XrdCryptosslX509ParseBucket
int XrdCryptosslX509ParseBucket(XrdSutBucket *b, XrdCryptoX509Chain *chain)
Definition XrdCryptosslAux.cc:575

References XrdCryptosslX509ParseBucket().

Here is the call graph for this function:

## X509ParseFile()

XrdCryptoX509ParseFile_t XrdCryptosslFactory::X509ParseFile | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 424 of file XrdCryptosslFactory.cc.

{
// Return an instance of an implementation of a function
// to parse a file supposed to contain for X509 certificates.
return &XrdCryptosslX509ParseFile;
}
XrdCryptosslX509ParseFile
int XrdCryptosslX509ParseFile(const char *fname, XrdCryptoX509Chain *chain, const char *fkey)
Definition XrdCryptosslAux.cc:444

References XrdCryptosslX509ParseFile().

Here is the call graph for this function:

## X509ParseStack()

XrdCryptoX509ParseStack_t XrdCryptosslFactory::X509ParseStack | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 433 of file XrdCryptosslFactory.cc.

{
// Return an instance of an implementation of a function
// to parse a file supposed to contain for X509 certificates.
return &XrdCryptosslX509ParseStack;
}
XrdCryptosslX509ParseStack
int XrdCryptosslX509ParseStack(XrdTlsPeerCerts *pc, XrdCryptoX509Chain *chain)
Definition XrdCryptosslAux.cc:391

References XrdCryptosslX509ParseStack().

Here is the call graph for this function:

## X509Req()

XrdCryptoX509Req * XrdCryptosslFactory::X509Req | ( | XrdSutBucket * | bck | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 373 of file XrdCryptosslFactory.cc.

{
// Return an instance of a ssl implementation of XrdCryptoX509Crl.
XrdCryptoX509Req *x509Req = new XrdCryptosslX509Req(b);
if (x509Req) {
if (x509Req->Opaque())
return x509Req;
else
delete x509Req;
}
return (XrdCryptoX509Req *)0;
}
XrdCryptoX509Req::Opaque
virtual XrdCryptoX509Reqdata Opaque()
Definition XrdCryptoX509Req.cc:85

References XrdCryptoX509Req::Opaque().

Here is the call graph for this function:

## X509SignProxyReq()

XrdCryptoX509SignProxyReq_t XrdCryptosslFactory::X509SignProxyReq | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 483 of file XrdCryptosslFactory.cc.

{
// Sign a proxy request
return &XrdCryptosslX509SignProxyReq;
}
XrdCryptosslX509SignProxyReq
int XrdCryptosslX509SignProxyReq(XrdCryptoX509 *, XrdCryptoRSA *, XrdCryptoX509Req *, XrdCryptoX509 **)

References XrdCryptosslX509SignProxyReq().

Here is the call graph for this function:

## X509VerifyCert()

XrdCryptoX509VerifyCert_t XrdCryptosslFactory::X509VerifyCert | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 388 of file XrdCryptosslFactory.cc.

{
// Return hook to the OpenSSL implementation of the verification
// function for X509 certificate.
return &XrdCryptosslX509VerifyCert;
}
XrdCryptosslX509VerifyCert
bool XrdCryptosslX509VerifyCert(XrdCryptoX509 *cert, XrdCryptoX509 *ref)
Definition XrdCryptosslAux.cc:114

References XrdCryptosslX509VerifyCert().

Here is the call graph for this function:

## X509VerifyChain()

XrdCryptoX509VerifyChain_t XrdCryptosslFactory::X509VerifyChain | ( |  | ) |

virtual

Reimplemented from XrdCryptoFactory.

Definition at line 397 of file XrdCryptosslFactory.cc.

{
// Return hook to the OpenSSL implementation of the verification
// function for X509 certificate chains.
return &XrdCryptosslX509VerifyChain;
}
XrdCryptosslX509VerifyChain
bool XrdCryptosslX509VerifyChain(XrdCryptoX509Chain *chain, int &errcode)
Definition XrdCryptosslAux.cc:129

References XrdCryptosslX509VerifyChain().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- XrdCryptosslFactory.hh
- XrdCryptosslFactory.cc